include:
  - "https://gitlab.com/portfolio_tim_teppa/devops/python/-/raw/main/templates/python-job.yml"

unittest:
  stage: testing
  extends: .python-job
  variables:
    TESTS_DIRECTORY: "$CI_PROJECT_DIR/tests/unittests"
    TOP_LEVEL_DIRECTORY: "$CI_PROJECT_DIR"
  script:
    - python3 -m unittest discover -v --start-directory $TESTS_DIRECTORY --top-level-directory $TOP_LEVEL_DIRECTORY
